[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ReplaceDockedControl

Replaces a previously docked control.

## Declaration

Source position: controls.pp line 1618

`public function TControl.ReplaceDockedControl(`
`Control: TControl;`
`NewDockSite: TWinControl;`
`DropControl: TControl;`
`ControlSide: TAlign`
`):Boolean;`

## Arguments

`Control` |  | The control to be replaced, will be docked into NewDockSite.
`NewDockSite` |  | The new dock site for Control, typically a docking Notebook.
`DropControl` |  | The control to which Control is docked.
`ControlSide` |  | The side of DropControl, to which Control is docked.

## Function result

True if the docked control has been successfully replaced.

## Description

This method exists for use by the DockManager for NoteBook docking. It should not be used in application code.

Delphi introduced a different method, DockReplaceDockClient, which is used when the replaced Control is in an unmanaged docksite.

## See also

TControl.ManualDock |  | Docks a control programmatically.